package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbNotice;
import org.apache.ibatis.annotations.Mapper;

/**
 * 通知公告Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-18
 */
@Mapper
public interface TbNoticeMapper 
{
    /**
     * 查询通知公告
     * 
     * @param id 通知公告主键
     * @return 通知公告
     */
    public TbNotice selectTbNoticeById(Long id);

    /**
     * 查询通知公告列表
     * 
     * @param tbNotice 通知公告
     * @return 通知公告集合
     */
    public List<TbNotice> selectTbNoticeList(TbNotice tbNotice);

    /**
     * 新增通知公告
     * 
     * @param tbNotice 通知公告
     * @return 结果
     */
    public int insertTbNotice(TbNotice tbNotice);

    /**
     * 修改通知公告
     * 
     * @param tbNotice 通知公告
     * @return 结果
     */
    public int updateTbNotice(TbNotice tbNotice);

    /**
     * 删除通知公告
     * 
     * @param id 通知公告主键
     * @return 结果
     */
    public int deleteTbNoticeById(Long id);

    /**
     * 批量删除通知公告
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbNoticeByIds(String[] ids);
}
